View Issue Details

IDProjectCategoryView StatusLast Update
0003343Path[FreeCAD] Bugpublic2018-04-30 08:28
ReporterrobinhAssigned Tomlampert 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformPCOSanyOS Version
Product Version[FreeCAD] 0.17 
Target Version[FreeCAD] 0.18Fixed in Version[FreeCAD] 0.18 
Summary0003343: grbl post processor does not scale feed rate correctly on 13218
DescriptionSee Help Forum
When in Path-Job-Tools, there are 5 columns: Name, #, mm/s, mm/s and Spindle.
I am not sure why two columns have the same header?
Anyway, using the first column, I set my feed rate to 13.33 mm/s corresponding to 800 mm/min.
(Exported by FreeCAD)
(Post Processor: grbl_post)
(Output Time:2018-02-08 10:30:53.985000)
(begin preamble)
G17 G90
G21
(begin operation: T3: 1/8" end mill)
(Path: T3: 1/8" end mill)
(T3: 1/8" end mill)
(begin toolchange)
; M6 T1.0
M3 S9000.0000
(finish operation: T3: 1/8" end mill)
(begin operation: Helix)
(Path: Helix)
(Helix)
(helix cut operation)
G0 Z25.0000
G0 X0.1500 Y0.0000
G0 Z23.0000
G1 Z20.0000 F3.00
G2 X-0.1500 Y0.0000 Z18.5714 I-0.1500 J0.0000 F13.33
Steps To ReproduceSee description. mm/s are set to 13.33. Look at last line in grbl gcode. The line includes F13.33.

It should say F800.

The 13.33 needs to multiplied by 60 to convert mm/s to mm/min
Additional InformationMay applies to LinuxCNC post processor too. It uses mm/min. I don't know feed rate units requirements of other post-processors.

Work-around. In the dialog, set it to 800 not 13.333, then it outputs F800!
TagsNo tags attached.

Issue History

Date Modified Username Field Change
2018-02-09 13:28 robinh New Issue
2018-04-29 22:48 mlampert Assigned To => mlampert
2018-04-29 22:48 mlampert Status new => assigned
2018-04-30 04:31 mlampert Reproducibility have not tried => always
2018-04-30 04:31 mlampert OS Windows => any
2018-04-30 04:31 mlampert OS Version 10 =>
2018-04-30 04:31 mlampert Fixed in Version => 0.18
2018-04-30 04:31 mlampert Target Version => 0.18
2018-04-30 04:33 mlampert Note Added: 0011218
2018-04-30 04:33 mlampert Note Edited: 0011218 View Revisions
2018-04-30 08:28 wmayer Status assigned => closed
2018-04-30 08:28 wmayer Resolution open => fixed
2018-04-30 08:28 wmayer Note Added: 0011219